﻿using UnityEngine;
using System.Collections;

public class AudioManager : MonoBehaviour
{
	AudioSource[] coughs;

	float coughTimer = 5;

	void Start()
	{
		coughs = new AudioSource[3];

		AudioSource[] allAudioSources = GetComponents<AudioSource>();

		for(byte counter = 0; counter < coughs.Length; counter++)
			coughs[counter] = allAudioSources[counter+1];
	}

	void Update()
	{
		if(CongregationManager.gameStarted)
			CoughSounds();
	}

	void CoughSounds()
	{
		coughTimer-=Time.deltaTime;

		if(coughTimer <= 0)
		{
			byte chosenSound = (byte)Mathf.Round(Random.Range(0, 2));

			coughs[chosenSound].pitch = Random.Range(0.75f, 1.25f);
			coughs[chosenSound].PlayDelayed(0);

			coughTimer = Random.Range(5, 8);
		}
	}
}
