﻿using UnityEngine;

using System.Collections;
using System.Collections.Generic;

public class Scenarios
{
	// Holds the different response values
	/// <summary>
	/// X = Age
	/// Y = Conservativeness
	/// </summary>

	static Dictionary<string, Vector2> scenarioResponses1 = new Dictionary<string, Vector2> (){
		{"Let us pray for him...", new Vector2(10, 30)},
		{"Call a doctor, quickly!", new Vector2(20, -30)},
		{"Meh, he was a sinner anyway.", new Vector2(-45, 50)},
		{"I will save him with faith!", new Vector2(-20, -30)}
		};
		
	static Dictionary<string, Vector2> scenarioResponses2 = new Dictionary<string, Vector2> (){
		{"Glare in the general direction of the baby.", new Vector2(20, -10)},
		{"In the words of Solomon: slice and dice!", new Vector2(5, 50)},
	};

	static Dictionary<string, Vector2> scenarioResponses3 = new Dictionary<string, Vector2> (){
		{"I don't think that's wise....", new Vector2(10, -25)},
		{"Chug! Chug! Chug!", new Vector2(-45, -40)},
		{"Ah sure, it's only a sip...", new Vector2(-15, 15)},
	};

	static Dictionary<string, Vector2> scenarioResponses4 = new Dictionary<string, Vector2> (){
		{"Calmy turn to Revelations and pray for salvation...", new Vector2(20, 35)},
		{"It's the Rapture, every man for himself!", new Vector2(-5, -30)},
		{"Ah sure, it's only a 4 on the richter scale...", new Vector2(-15, 30)},
	};
		
	static Dictionary<string, Vector2> scenarioResponses5 = new Dictionary<string, Vector2> (){
		{"Hello? No I'm not busy...", new Vector2(-35, 10)},
		{"Forgive me Father, for I have sinned...", new Vector2(25, 15)},
		{"I'd like to remind you all to turn off your phones...", new Vector2(15, -30)},
		{"Sing along to the ringtone: dope dealer money, he was gettin' some coins...", new Vector2(-50, -30)}
	};

	static Dictionary<string, Vector2> scenarioResponses6 = new Dictionary<string, Vector2> (){
		{"I cast thee out, heathen!", new Vector2(40, 40)},
		{"F*ck you, pr*ck!", new Vector2(-20, -35)},
		{"Quietly continue the sermon...", new Vector2(15, -5)},
	};

	static Dictionary<string, Vector2> scenarioResponses7 = new Dictionary<string, Vector2> (){
		{"I see you sin, Mary Delaney!", new Vector2(30, 30)},
		{"A great idea, let's all break for ten!", new Vector2(5, -25)},
	};

	static Dictionary<string, Vector2> scenarioResponses8 = new Dictionary<string, Vector2> (){
		{"The devil himself comes to disturb us!", new Vector2(-10, 40)},
		{"Bag the animals to throw in the river.", new Vector2(50, 50)},
		{"Too cute!", new Vector2(-35, -45)},
	};

	static Dictionary<string, Vector2> scenarioResponses9 = new Dictionary<string, Vector2> (){
		{"Bless her.", new Vector2(10, 30)},
		{"Baptise her (to be sure).", new Vector2(-20, 45)},
		{"I told you Mary, that child cannot be mine!", new Vector2(-40, -45)},
	};

	static Dictionary<string, Vector2> scenarioResponses10 = new Dictionary<string, Vector2> (){
		{"Recite with renewed vigour.", new Vector2(-10, -30)},
		{"Splutter it out awkwardly.", new Vector2(20, -20)},
		{"Censor it carefully.", new Vector2(10, 15)},
	};

	static Dictionary<string, Vector2> scenarioResponses11 = new Dictionary<string, Vector2> (){
		{"Announce it as truth anyway.", new Vector2(35, 40)},
		{"Have breakdown, come out in front of the congregation.", new Vector2(35, -45)},
	};

	public Dictionary<string, Dictionary<string, Vector2> > allScenarios = new Dictionary<string, Dictionary<string, Vector2>>{
		{"A man in the front has a minor heart attack...",scenarioResponses1},
		{"A baby begins crying...", scenarioResponses2},
		{"A recovering alcoholic comes to receive the wine...", scenarioResponses3},
		{"An earthquake shakes the building...", scenarioResponses4},
		{"Your phone rings mid-verse...", scenarioResponses5},
		{"You are heckled from the back row...", scenarioResponses6},
		{"A woman nods off and snores loudly...", scenarioResponses7},
		{"A dog chases a cat through the church...", scenarioResponses8},
		{"You notice a pregnant woman near the front...", scenarioResponses9},
		{"You come across an especially violent verse...", scenarioResponses10},
		{"You notice a glaring contradiction in Leviticus...", scenarioResponses11}
	};
}

